Reference
Memory
List Memories
Query Parameters
limit?integer
Default
50Range
1 <= value <= 100offset?integer
Default
0Range
0 <= valueHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/memory"{
"memories": [
{
"content": "string",
"createdAt": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
"source": "explicit",
"sourceThreadId": "87a870cc-e803-45bf-bc61-7a64dda4b64a",
"sourceTurnId": "663dc932-f3f4-4bf5-80d5-2d813ce89432"
}
],
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create Memory
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
content*string
organizationId?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/memory" \ -H "Content-Type: application/json" \ -d '{ "content": "string" }'{
"content": "string",
"createdAt": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
"source": "explicit",
"sourceThreadId": "87a870cc-e803-45bf-bc61-7a64dda4b64a",
"sourceTurnId": "663dc932-f3f4-4bf5-80d5-2d813ce89432"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Backfill Entities
Query Parameters
limit?integer
Default
20Range
1 <= value <= 50offset?integer
Default
0Range
0 <= valuechunk_size?integer
Default
5Range
1 <= value <= 10Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/memory/backfill-entities"{
"examined": 0,
"failed": 0,
"hasMore": true,
"limit": 0,
"nextOffset": 0,
"offset": 0,
"processed": 0,
"skipped": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Memory
Path Parameters
memory_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/memory/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"content": "string",
"createdAt": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
"source": "explicit",
"sourceThreadId": "87a870cc-e803-45bf-bc61-7a64dda4b64a",
"sourceTurnId": "663dc932-f3f4-4bf5-80d5-2d813ce89432"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Delete Memory
Path Parameters
memory_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
curl -X DELETE "https://loading/api/v1/memory/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}